# Giskard

Establishing the environment for collaborative work on the Linux desktop.

### Keywords

SOHO, SSHFS, NAS, WOL, WakeOnLAN, Hardware, Terminal

In SOHO environments where there are usually 5 to 10 Linux machines and a file server (usually a NAS) and you want to use the SSHFS protocol it becomes a bit tedious to manually connect the resources each time you log in to the system nor is it convenient to use fstab for all users of the machine, so here comes Giskard that what it does is:

 * Verifies that the NAS server is on, if not then turns it on with the WOL protocol.
 * Then connects all the resources
 * Makes a report about system information and storage for furter administration activities. 

## Installation
Giskard is made with Gambas3 IDE so some Gambas components shall be installed on the systen to run it. The minimal components are:

  * gambas3-runtime
  * gambas3-gb-db
  * gambas3-gb-util-web

If you wan to install the Gambas IDE plase refer to:
[Gambas IDE Installation instructions](http://gambas.sourceforge.net/en/main.html#)


## Install on debian and derivations
### Prerequisites
sudo apt-get install **inxi wol perl-json-xs sshfs sqlite3 smartmontools**

sudo gdebi -i giskard_x.y.zz-1_all.deb

Where x.y.zz is the current version.

## Install on arch and derivations
### Prerequisites
sudo pacman -S **inxi wol perl-json-xs sshfs sqlite3 smartmontools**

sudo pacman -U giskard-x.y.zz-1-any.pkg.tar.zst

Where x.y.zz is the current version.

## Setup

To run Giskard in stand alone way set **~/.giskard/config.json** like:

```json
       {
  "Mode": "giskard",
  "Admin": "superuser",
  "Modes": ["giskard"],
  "dbHost": "/home/USER/.giskard",
  "dbName": "data.sqlite",
  "dbPswd": "testing",
  "dbtype": "sqlite3",
  "dbUser": "testing",
  "sshPort": 1234,
  "sshMac": "xx:xx:xx:xx:xx:xx", 
  "SentMode": 0,
    "Resources": {
    "shared-1": "/SHARED-1",
    "shared-2": "/SHARED-2",
    "shared-N": "/SHARED-N"
  },
  "sshServer": "w.x.y.z",
  "ConfigFile": ".giskard/config.json"
}
```

## Changelog
2021.12.07 - Added support for WakeOnLan to be able to power on the NAS if it is power off. Add the key **sshMac** with the MAC address of the ssh server.

## Support
Please contact to <info@belmotek.net> for sugestions or bugs.

## Roadmap
TODO Improve the speed of data collection
TODO Add installation of usual packages and dependencies in administrator mode

## Getting started
There are two methods to provide a video file, one is open directly from the system file, the other is download from the streaming platform copyn the share link provided by the web site.
* Select from system file
* Copy the streaming link , then spliter will detect it.

## Description
This program is maked to do some tasks in each login such connect remote folders, resume inform about the system and so on.

## Hardware fields

  * Host, The host name.  Sample: hostname
  * Kernel, The kernel name.  Sample: X.Y.Z-1-MANJARO x86_64
  * Compiler, The system compiller.  Sample: gcc
  * Parameters, The boot parameters.  Sample: BOOT_IMAGE=/boot/vmlinuz-X.Y….
  * Desktop, The desktop environment.  Sample: MATE X.Y.Z
  * WM, The window manager.  Sample: marco X.Y.Z
  * VT, Virtualization Technology.  Sample: 7
  * DM, The desktop manager.  Sample: LightDM X.Y.Z
  * Distro, Linux distribution.  Sample: Manjaro Linux
  * Base, Distribution is based on.  Sample: Arch Linux
  * Form, Computer type.  Sample: Laptop/Desktop…
  * Brand, Vendor or manufacturer.  Sample: Vendor
  * Product, Model of the computer.  Sample: Model
  * Identifier, Serial number of the computer.  Sample: 123456789
  * Board, Motherboard model.  Sample: Model
  * BoardID, Motherboard serial number.  Sample: 123456789
  * BIOS, Motherboard BIOS vendor or manufacturer.  Sample: Vendor
  * BIOSVersion, Motherboard BIOS model.  Sample: Model
  * Manufactured, Assembled on.  Sample: 01/01/1970
  * Charge, State of charge.  Sample: ##.# Wh (100.0%)
  * Battery, Serial number of the computer.  Sample: 123456789
  * Status, What is the charger doing?.  Sample: Charging
  * Info, .  Sample: Dual Core
  * Processor, The name of the processor.  Sample: Intel Core i9-123456U
  * Bits, The bits of the processor.  Sample: 64
  * Clock, Clock Frequency.  Sample: 900 MHz
  * CPUFreq, CPU Frequency.  Sample: 900/5600 MHz
  * C1, The load of the core.  Sample: 1280
  * C2, The load of the core.  Sample: 1280
  * C3, The load of the core.  Sample: 1280
  * C4, The load of the core.  Sample: 1280
  * Graphic, .  Sample: Graphics device
  * Display, Window System.  Sample: x11
  * Network, Network interface controller device.  Sample: Network device
  * State, Network interface controller state.  Sample: up/down
  * Velocity, Network interface controller speed.  Sample: 1000 Mbps
  * Mac, Network card MAC address.  Sample: xx:xx:xx:xx:xx:xx
  * Storage, Hard disk size.  Sample: 476.94 GiB
  * Ocuped, Hard disk used.  Sample: 20.65 GiB (4.3%)
  * Device, Hard disk device.  Sample: /dev/sda
  * PartNumbers, Major and Minor Numbers.  Sample: 8:0
  * Vendor, Hard disk vendor.  Sample: Drive vendor
  * Model, Hard disk model.  Sample: SSD 128GB
  * Speed, Hard disk speed.  Sample: 6.0 Gb/s
  * Type, Hard disk type.  Sample: SSD
  * Serial, Hard disk serial number.  Sample: 123456789
  * Scheme, .  Sample: MBR
  * Mpoint, Files system mount point.  Sample: /
  * PartSize, Total partition size.  Sample: 123.45 GiB (xx.xx%)
  * PartUsed, Used partition size.  Sample: 12.34 GiB (xx.xx%)
  * PartFsys, Files system.  Sample: ext4
  * PartDev, Device.  Sample: /dev/sdXY
  * Swap, .  Sample: Swap info
  * TempCPU, Processor temperature.  Sample: 55.0 C
  * TempMobo, Motherboard temperature.  Sample: 42.0 C
  * Processes, Number of system processes.  Sample: 123
  * Uptime, Amount of time since the computer has been booted.  Sample: 1h 20m
  * Wakeups, .  Sample: 2
  * Memory, Amount of RAM memory.  Sample: X.XX GiB
  * Used, RAM memory ocuped.  Sample: Y.YY GiB (ZZ.Z%)
  * Init, .  Sample: systemd
  * inxi, Is the inxi version.  Sample: X.Y.ZZ

## Contributing
To contribute to this project please use Gambas 3 IDE v3.16.3 and config it as below:

![contributing](./png/contributing_1.png)

![contributing](./png/contributing_2.png)

## License
This software is licenced as GPL v3 or at your option any later version.
For more details see LICENCE file

## Project status
The status is beta, so is very important to report any bug.

##  Dependences
This program is made with the fantastic Gambas3 IDE.
For more information please go to: [gambas.sourceforge.net](http://gambas.sourceforge.net/en/main.html)
