BEGIN TRANSACTION;
CREATE TABLE IF NOT EXISTS "users" (
	"udx"	INTEGER,
	"uname"	TEXT UNIQUE,
	"udesc"	TEXT,
	PRIMARY KEY("udx" AUTOINCREMENT)
);
CREATE TABLE IF NOT EXISTS "computers" (
	"cdx"	INTEGER,
	"cname"	TEXT UNIQUE,
	"cdesc"	TEXT,
	PRIMARY KEY("cdx" AUTOINCREMENT)
);
CREATE TABLE IF NOT EXISTS "sites" (
	"sdx"	INTEGER,
	"sname"	TEXT UNIQUE,
	"sdesc"	TEXT,
	PRIMARY KEY("sdx" AUTOINCREMENT)
);
CREATE TABLE IF NOT EXISTS "systems" (
	"odx"	INTEGER,
	"oname"	TEXT UNIQUE,
	"odesc"	TEXT,
	PRIMARY KEY("odx" AUTOINCREMENT)
);
CREATE TABLE IF NOT EXISTS "micros" (
	"mdx"	INTEGER,
	"mname"	TEXT UNIQUE,
	"mdesc"	TEXT,
	PRIMARY KEY("mdx" AUTOINCREMENT)
);
CREATE TABLE IF NOT EXISTS "desktops" (
	"ddx"	INTEGER,
	"dname"	TEXT UNIQUE,
	"ddesc"	TEXT,
	PRIMARY KEY("ddx" AUTOINCREMENT)
);
CREATE TABLE IF NOT EXISTS "ilans" (
	"ldx"	INTEGER,
	"lip"	TEXT UNIQUE,
	"ldesc"	TEXT,
	PRIMARY KEY("ldx" AUTOINCREMENT)
);
CREATE TABLE IF NOT EXISTS "iwans" (
	"wdx"	INTEGER,
	"wip"	TEXT UNIQUE,
	"wdesc"	TEXT,
	PRIMARY KEY("wdx" AUTOINCREMENT)
);
CREATE TABLE IF NOT EXISTS "ivpns" (
	"vdx"	INTEGER,
	"vip"	TEXT UNIQUE,
	"vdesc"	TEXT,
	PRIMARY KEY("vdx" AUTOINCREMENT)
);
CREATE TABLE IF NOT EXISTS "hdds" (
	"hdx"	INTEGER,
	"hname"	TEXT UNIQUE,
	"hdesc"	TEXT,
	PRIMARY KEY("hdx" AUTOINCREMENT)
);
CREATE TABLE IF NOT EXISTS "mpoints" (
	"xdx"	INTEGER,
	"xname"	TEXT UNIQUE,
	"xdesc"	TEXT,
	PRIMARY KEY("xdx" AUTOINCREMENT)
);
CREATE TABLE IF NOT EXISTS "logistics" (
	"kdx"	INTEGER,
	"kname"	TEXT UNIQUE,
	"kdesc"	TEXT,
	PRIMARY KEY("kdx" AUTOINCREMENT)
);
CREATE TABLE IF NOT EXISTS "inventory" (
	"idx"	INTEGER,
	"ihash"	TEXT UNIQUE,
	"icomp"	INTEGER,
	"ihost"	TEXT,
	"iuser"	INTEGER,
	"isite"	INTEGER,
	"iusers"	TEXT,
	"idistro"	INTEGER,
	"iprocessor"	INTEGER,
	"imemory"	INTEGER,
	"iqusr"	INTEGER,
	"idsk"	INTEGER,
	"ilan"	INTEGER,
	"iwan"	INTEGER,
	"ivpn"	INTEGER,
	"ihddid"	INTEGER,
	"imnt"	INTEGER,
	"iroot"	INTEGER,
	"ihome"	INTEGER,
	"ideploy"	TEXT,
	"iupdate"	TEXT,
	"ihardw"	TEXT,
	"istat"	INTEGER,
	FOREIGN KEY("isite") REFERENCES "sites"("sdx"),
	FOREIGN KEY("imnt") REFERENCES "mpoints"("xdx"),
	FOREIGN KEY("ivpn") REFERENCES "ivpns"("vdx"),
	FOREIGN KEY("istat") REFERENCES "logistics"("kdx"),
	FOREIGN KEY("idistro") REFERENCES "systems"("odx"),
	PRIMARY KEY("idx" AUTOINCREMENT),
	FOREIGN KEY("ilan") REFERENCES "ilans"("ldx"),
	FOREIGN KEY("iwan") REFERENCES "iwans"("wdx"),
	FOREIGN KEY("idsk") REFERENCES "desktops"("ddx"),
	FOREIGN KEY("iuser") REFERENCES "users"("udx"),
	FOREIGN KEY("ihddid") REFERENCES "hdds"("hdx"),
	FOREIGN KEY("icomp") REFERENCES "computers"("cdx"),
	FOREIGN KEY("iprocessor") REFERENCES "micros"("mdx")
);
COMMIT;
